Bug 150177 - Cannot configure proxy
Cannot configure proxy
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhn-applet (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-03 05:57 EST by Erwan Legrand
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:32:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Erwan Legrand 2005-03-03 05:57:34 EST
Description of problem:
If I check "Enable HTTP proxy" in the configuration window, it is unchecked the
next time I open it.

Version-Release number of selected component (if applicable):
rhn-applet-2.1.16-1

How reproducible:
Always

Steps to Reproduce:
1. Right-click on the applet
2. Select "Configuration..."
3. Check the "Enable HTTP proxy" box then click forward 
  
Actual results:
Next time you open the configuration wizard, the box is not checked

Expected results:
The box should remain checked

Additional info:
The applet appears to use the proxy nonetheless, but when it starts up2date, the
latter will attempt to connect to the web server directly.
Comment 1 Wayne Carruthers 2005-03-12 01:19:15 EST
Setting remains checked on my systems (FC3 Latest as of today)

but can confirm proxy setting ignored, packet trace indicates first
activity is DNS look up rather than go to proxy specified as IPNo:PortNo

Yum had same problem & yum issue was resolved by update to urlgrabber
2.96 from duke.edu
Comment 2 Matthew Miller 2006-07-10 17:07:34 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-29 17:35:59 EST
rhn-applet was replaced by pirut and put (package pirut) as of FC5.  Only FC5
and FC6 are currently fully supported; FC3 and FC4 are supported for security
fixes only.  If this bug occurs in FC3 or FC4 and is a security bug, please
change the product to Fedora Extras and the version to match.  If you can verify
that the bug exists in RHEL as well, please change the product and version
appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.

Note that rhn-applet may still be present on upgraded systems, and in general
will not function correctly on such systems.  That is not a bug; anaconda does
not generally erase removed packages upon upgrades.
Comment 4 John Thacker 2006-11-05 11:32:32 EST
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.